Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class GenericDOMImplementation

    java.lang.Object
      org.apache.batik.dom.AbstractDOMImplementation
          org.apache.batik.dom.GenericDOMImplementation

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation, java.io.Serializable

public class GenericDOMImplementation
extends AbstractDOMImplementation

This class implements the `DOMImplementation`.

See Also:
  Serialized Form

Field Summary
`protected static org.w3c.dom.DOMImplementation` | `DOM_IMPLEMENTATION` The default instance of this class.

Fields inherited from class org.apache.batik.dom.AbstractDOMImplementation
`features`

Constructor Summary
`GenericDOMImplementation()` Creates a new GenericDOMImplementation object.

Method Summary
`org.w3c.dom.Document` | `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, org.w3c.dom.DocumentType doctype)` DOM: Implements `DOMImplementation.createDocument(String,String,DocumentType)` .
`org.w3c.dom.DocumentType` | `createDocumentType(java.lang.String qualifiedName, java.lang.String publicId, java.lang.String systemId)` DOM: Implements `DOMImplementation.createDocumentType(String,String,String)`.
`static org.w3c.dom.DOMImplementation` | `getDOMImplementation()` Returns the default instance of this class.

Methods inherited from class org.apache.batik.dom.AbstractDOMImplementation
`createDocumentEventSupport, hasFeature, registerFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOM_IMPLEMENTATION

    protected static final org.w3c.dom.DOMImplementation DOM_IMPLEMENTATION

  The default instance of this class.

Constructor Detail

### GenericDOMImplementation

    public GenericDOMImplementation()

  Creates a new GenericDOMImplementation object.

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

  Returns the default instance of this class.

### createDocumentType

    public org.w3c.dom.DocumentType createDocumentType(java.lang.String qualifiedName,
                                                       java.lang.String publicId,
                                                       java.lang.String systemId)

  DOM: Implements `DOMImplementation.createDocumentType(String,String,String)`.

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName,
                                               org.w3c.dom.DocumentType doctype)
                                        throws org.w3c.dom.DOMException

  DOM: Implements `DOMImplementation.createDocument(String,String,DocumentType)` .

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.